31. GIAI PHAP-TESTING - Task #786
Trién khai, test giai phap JumpServer
21-05-2024 12:33 - Huynh Duc Tai

Trang thai: Closed Bat dau: 21-05-2024

Muc uu tién: Normal Hét han: 31-05-2024

Phan céng cho: Huynh Dlc Tai Tién do: 0%

Chu dé: Thoi gian uéc 0:00 gio
luong:

Phién ban: Thoi gian: 0:00 gio

Mb ta

Muc Tiéu : Quan li, bdo méat két néi SSH st dung key truc ti€p , phan quyén cho user, ghi lai log truy cap , thao tac

Thong tin truy cap :
https://192.168.69.142
User : admin / Lvs$3726
Test : test / Longvan#3726

S JumpServer

I_Ogin @ English~
Username
Pass

O Auto login Forgot password?

LOGIN

Giao dién dang nhap phan mém
https://192.168.69.142

£ JumpServer
Console Dashboard

| Dashboard

e @

English ~

Administrator

04-04-2025

Real-time data User data Asset data
& Users ™
Online sessions Current connection users Number of failed sessions today User total Asset total
S Assels - 0 0 0 2 2
. Assels New this week: 0 & New this week: 0 =
Domains Usetr/asset activity status
Platforms W Active users Active assets
R _ 2
& Accounts Login accounts today Active assets today
15
@ Permissions ™ 1 2
1 Proportion 50.00% Proportion 100.00%
© More.. >
05
0
05-28 05-29 05-30 05-31 06-01 06-02 06-03
Proportion of asset types
_ W Linux Website
Giao dién Dashboard Console cia phan mém
€  Assets
=All & Host ¥ Device = Database & Cloud service @ Web ® GPT
Asset tree Type tree Actions ~ © Label v Q @ & 4 C
> I Default (2) Name Address Platform Reachable. : Actions
Qo
1PMI Intel hitps //192.168.70.62/ Website . More +
Test Ubuntu 192.168.69.131 Linux © 0k More «
Total 2 15/page
Phan cap nhat cac théng tin Server
< Asset account
General Accounts Virtual Accounts
Asset tree Type tree Add Template add Actions ~ © Label v Q @ &5 & C
> B Default (2) Name Username Secrettyp...+ Asset Privileged Is activ...+ Date updated Actions
Qo
admin admin Password IPMI Intel - @ Acfive 05/27/2024 2:30:26 PM View |RYEIER
root root Password Test Ubuntu [] @ Acfive 05/20/2024 8:51:28 AM View JRIGER
test test Password Test Ubuntu - @ Active 05/20/2024 8:51:28 AM View RV
Total 3 15/page
“«
. PN A A z A 2 N
Giao dién cap nhat cac tai khoan cho tung Server
& Asset permissions
Asset permission allows you to authorize the assets to the users. Additionally, you can set some specific action permission
Asset tree Actions ~ © Label v Q @ & & C
> B Default (2) Name User UserGroups Asset Node Account Validity - Actions
Q2
1PMI 218 2 0 1 1 1 © Yos More +
Ubuntu 1 0 1 1 1 ®Yes More +
Total 2 15/page
Phan cap quyén cho phép User nao truy cap vao Server nao

Audit =

Dashboard

&  Online session

B¢  Session audit

B Log audit

Dashboard

Today

Log data

Login num

2

Login logs

Login logsTotal

2

Last 7d

Last 30d

Operation log num

10

Log of login success num

2

Proportion 100.00%

Commands

Declassification log num

0

CommandsTotal

2

Dangerous command num

0

Proportion 0.00%

Session data

Online sessions

0

Session trend

Sessions num

0
05-28

05-29

Job execution log

Historical session num

8

06-01 06-02

File transfer num

06-03

Giao dién Dashboard Audit quan i truy cap gém Dashboard , Session Online , Lich st truy cap , Log truy cap

< OnlineUserDevices

The current session cannot be offline because it is an online session of the current user. Currently, only users who have logged in through web mode are recorded

Actions ~

User

Administrator

Total 1

& Session list

Sessions online

Number

Total 8

Authentication backend

Password

Sessions offline

User

Administrator(admin)
Administrator(admin)
Administrator(admin)
Administrator(admin)
Administrator(admin)
Administrator(admin)
Administrator(admin)

Administrator(admin)

2024-05-27 11:08:20

Target

Test Ubuntu(192 16..

IPMI Intel(https://19

IPMI Intel(https://19

IPMI Intel(https://19

IPMI Intel(https://19.

IPMI Intel(https://19

Test Ubuntu(192 16

IPMI Intel(https:/19

To

Login IP

192.168.64.106

Login city

LAN

2024-06-04 23:59:59

Account

root(root)

admin(admin)

admin(admin)

admin(admin)

root(root)

root(root)

root(root)

root(root)

Protoc...

ssh

hitp

hitp

hitp

hitp

http

ssh

hitp

User agent

Mozilla/5.0 (Windows ..

Remote addr

192.168.64.106

192.168.64.106

192.168.64.92

192.168.64.92

192.168.64.92

192.168.64.92

192.168.64.92

192.168.64.92

Duration

0:00:08

0:00:34

0:25:48

0:.07:15

0:00:29

0:00:41

0:00:10

0:00:28

v
Date created Active
06/03/2024 10:54:13 .. ®

15/page

Comman... Date start

0 06/03/2024 10:43:2..

0 06/03/2024 10:42:4_

0 05/27/2024 2:57:13..

2 05/27/2024 2:30:36.

0 05/27/2024 2:28:58..

0 05/27/2024 2:28:18..

0 05/27/2024 12:34:3..

0 05/27/2024 12:33:5..

15/page

Session Audit c6 thé xem lai User d& thao tac gi trén Server va hé trg download phan xem lai

04-04-2025
[@] [W|[C|Specd:2  user: tesi(test)  asset: Test Ubuntu(192.168.69.131) start time - 5-20-2024, 09:02:14 download

apt update

00:11

buntu. com/engage/secure-kubernetes -at-th

Expanded Security Maintenance for Applications is not enabled.

s can be applied immediately.
these additional updates run: apt list --upgradable

Enable ESM Apps to additional future security updates.
or run: sude pro status

May 20 ©2:00:19 2024 from 192.168.69.142

Giao dién xem lai cia phan mém

< File transfer

2024-05-27 11:10:12  To  2024-06-04 23:59:59

ID User Remote addr Asset Account Operate Filename Date start Succes... Actions

7dc6bd12-5a84- Administrator(ad 192 168.64 92 IPMI Intel(https:/ admin(admin) Upload Hudéng dén tao 05/27/2024 2:31:12 PM @ Yes

Total 1 15/page -

Phan mém con thé hién dugc User upload gi I1én Server thao tac

Lugc su

#1 - 21-05-2024 12:40 - Huynh Puc Tai

Mo ta

Muc Tiéu : Quan li , bao mat két néi SSH su dung key truc tiép ,

phan quyén cho user, ghi lai log truy cap , thao tac

Théng tin truy cap :
https://192.168.69.142
User : admin / Lvs$3726
Test : test / Longvan#3726

#2 - 21-05-2024 12:41 - Huynh Dtc Tai
- Hét han gan cho 31-05-2024
- Trang théi thay doi tir New téi In Progress

- Ph&n céng cho gan cho Huynh Dulrc Tai

#3 - 03-06-2024 11:16 - Huynh DPuc Tai

- Tap tin clipboard-202406031044-jdurr.png dugc thém

- Tép tin clipboard-202406031053-0wdkv.png dugc thém
- Tép tin clipboard-202406031054-gm5un.png duoc thém
- Tap tin clipboard-202406031057-uielc.png dugc thém

- Tép tin clipboard-202406031057-fsh5w.png dugc thém

- Tap tin clipboard-202406031058-m1tcm.png dugc thém
https://192.168.69.142

- Tap tin clipboard-202406031108-7rsem.png dugc thém
- Tép tin clipboard-202406031108-uy0s4.png dugc thém
- Tép tin clipboard-202406031109-iar35.png duoc thém
- Tép tin clipboard-202406031110-cedlu.png dugc thém

- M6 td cdp nhéat

#4 - 01-07-2024 09:12 - Huynh Dt Tai
- Trang thai thay ddi tir In Progress téi Closed

Tap tin

clipboard-202406031044-jdurr.png 132 KB 03-06-2024 Huynh Duc Tai
clipboard-202406031053-0wdkv.png 343 KB 03-06-2024 Huynh Duc Tai
clipboard-202406031054-gm5un.png 43,9 KB 03-06-2024 Huynh Duc Tai
clipboard-202406031057-uielc.png 53,9 KB 03-06-2024 Huynh Dlc Tai
clipboard-202406031057-fsh5w.png 41,8 KB 03-06-2024 Huynh Dlc Tai
clipboard-202406031058-m1tcm.png 108 KB 03-06-2024 Huynh Duc Tai
clipboard-202406031108-7rsem.png 36,1 KB 03-06-2024 Huynh Duc Tai
clipboard-202406031108-uy0s4.png 90,6 KB 03-06-2024 Huynh Duc Tai
clipboard-202406031109-iar35.png 142 KB 03-06-2024 Huynh Duc Tai
clipboard-202406031110-cedlu.png 32,7 KB 03-06-2024 Huynh Duc Tai
